Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members Related Pages

# vtkVolumeRayCastMIPFunction Class Reference

`#include <vtkVolumeRayCastMIPFunction.h>`

Inheritance diagram for vtkVolumeRayCastMIPFunction:

[legend]
Collaboration diagram for vtkVolumeRayCastMIPFunction:

[legend]
List of all members.

## Detailed Description

A maximum intensity projection ray caster for volumes.

Date:
  2002/10/28 21:33:02

Revision:
  1.28

vtkVolumeRayCastMIPFunction is a volume ray cast function that computes the maximum value encountered along the ray. This is either the maximum scalar value, or the maximum opacity, as defined by the MaximizeMethod. The color and opacity returned by this function is based on the color, scalar opacity, and gradient opacity transfer functions defined in the vtkVolumeProperty of the vtkVolume.

See also:
  vtkVolumeRayCastFunction vtkVolumeRayCastMapper vtkVolumeProperty vtkVolumeRayCastCompositeFunction vtkVolumeRayCastIsosurfaceFunction vtkVolume vtkVolumeProperty

Created by:
  - Martin, Ken

CVS contributions (if > 5%):
  - Martin, Ken (55%)
  - Avila, Lisa (32%)

CVS logs (CVSweb):
  - .`cxx` (`/Rendering/vtkVolumeRayCastMIPFunction.cxx)`
  - .`h` (`/Rendering/vtkVolumeRayCastMIPFunction.h)`

Tests:
  vtkVolumeRayCastMIPFunction (Tests)

Definition at line 59 of file vtkVolumeRayCastMIPFunction.h.

## Public Types
typedef vtkVolumeRayCastFunction | Superclass
## Public Methods
virtual const char * | GetClassName ()
virtual int | IsA (const char *type)
void | PrintSelf (ostream &os, vtkIndent indent)
float | GetZeroOpacityThreshold (vtkVolume *vol)
void | CastRay (vtkVolumeRayCastDynamicInfo *dynamicInfo, vtkVolumeRayCastStaticInfo *staticInfo)
virtual void | SetMaximizeMethod (int)
virtual int | GetMaximizeMethod ()
void | SetMaximizeMethodToScalarValue ()
void | SetMaximizeMethodToOpacity ()
const char * | GetMaximizeMethodAsString (void)
## Static Public Methods
vtkVolumeRayCastMIPFunction * | New ()
int | IsTypeOf (const char *type)
vtkVolumeRayCastMIPFunction * | SafeDownCast (vtkObject *o)
## Protected Methods
| vtkVolumeRayCastMIPFunction ()
| ~vtkVolumeRayCastMIPFunction ()
void | SpecificFunctionInitialize (vtkRenderer *ren, vtkVolume *vol, vtkVolumeRayCastStaticInfo *staticInfo, vtkVolumeRayCastMapper *mapper)
## Protected Attributes
int | MaximizeMethod

## Member Typedef Documentation

typedef vtkVolumeRayCastFunction vtkVolumeRayCastMIPFunction::Superclass

| Reimplemented from vtkVolumeRayCastFunction. Definition at line 63 of file vtkVolumeRayCastMIPFunction.h.

## Constructor & Destructor Documentation

vtkVolumeRayCastMIPFunction::vtkVolumeRayCastMIPFunction | ( |  | ) | `[protected]`

vtkVolumeRayCastMIPFunction::~vtkVolumeRayCastMIPFunction | ( |  | ) | `[protected]`

## Member Function Documentation

vtkVolumeRayCastMIPFunction* vtkVolumeRayCastMIPFunction::New | ( |  | ) | `[static]`

| Create an object with Debug turned off, modified time initialized to zero, and reference counting on. Reimplemented from vtkObject.

virtual const char* vtkVolumeRayCastMIPFunction::GetClassName | ( |  | ) | `[virtual]`

| Reimplemented from vtkVolumeRayCastFunction.

int vtkVolumeRayCastMIPFunction::IsTypeOf | ( | const char * | type | ) | `[static]`

| Return 1 if this class type is the same type of (or a subclass of) the named class. Returns 0 otherwise. This method works in combination with vtkTypeRevisionMacro found in vtkSetGet.h. Reimplemented from vtkVolumeRayCastFunction.

virtual int vtkVolumeRayCastMIPFunction::IsA | ( | const char * | type | ) | `[virtual]`

| Return 1 if this class is the same type of (or a subclass of) the named class. Returns 0 otherwise. This method works in combination with vtkTypeRevisionMacro found in vtkSetGet.h. Reimplemented from vtkVolumeRayCastFunction.

vtkVolumeRayCastMIPFunction* vtkVolumeRayCastMIPFunction::SafeDownCast | ( | vtkObject * | o | ) | `[static]`

| Reimplemented from vtkVolumeRayCastFunction.

void vtkVolumeRayCastMIPFunction::PrintSelf | ( | ostream & | os,
|  | vtkIndent | indent
| ) | `[virtual]`

| Methods invoked by print to print information about the object including superclasses. Typically not called by the user (use Print() instead) but used in the hierarchical print process to combine the output of several classes. Reimplemented from vtkVolumeRayCastFunction.

float vtkVolumeRayCastMIPFunction::GetZeroOpacityThreshold | ( | vtkVolume * | vol | ) | `[virtual]`

| Get the scalar value below which all scalar values have zero opacity. Implements vtkVolumeRayCastFunction.

virtual void vtkVolumeRayCastMIPFunction::SetMaximizeMethod | ( | int |  | ) | `[virtual]`

| Set the MaximizeMethod to either ScalarValue or Opacity.

virtual int vtkVolumeRayCastMIPFunction::GetMaximizeMethod | ( |  | ) | `[virtual]`

| Set the MaximizeMethod to either ScalarValue or Opacity.

void vtkVolumeRayCastMIPFunction::SetMaximizeMethodToScalarValue | ( |  | ) | `[inline]`

| Set the MaximizeMethod to either ScalarValue or Opacity. Definition at line 76 of file vtkVolumeRayCastMIPFunction.h. References VTK_MAXIMIZE_SCALAR_VALUE.

void vtkVolumeRayCastMIPFunction::SetMaximizeMethodToOpacity | ( |  | ) | `[inline]`

| Set the MaximizeMethod to either ScalarValue or Opacity. Definition at line 78 of file vtkVolumeRayCastMIPFunction.h. References VTK_MAXIMIZE_OPACITY.

const char* vtkVolumeRayCastMIPFunction::GetMaximizeMethodAsString | ( | void |  | ) |

| Set the MaximizeMethod to either ScalarValue or Opacity.

void vtkVolumeRayCastMIPFunction::CastRay | ( | vtkVolumeRayCastDynamicInfo * | dynamicInfo,
|  | vtkVolumeRayCastStaticInfo * | staticInfo
| ) | `[virtual]`

| Implements vtkVolumeRayCastFunction.

void vtkVolumeRayCastMIPFunction::SpecificFunctionInitialize | ( | vtkRenderer * | ren,
|  | vtkVolume * | vol,
|  | vtkVolumeRayCastStaticInfo * | staticInfo,
|  | vtkVolumeRayCastMapper * | mapper
| ) | `[protected, virtual]`

| This method gives the subclass a chance to do any special initialization that it may need to do BTX Implements vtkVolumeRayCastFunction.

## Member Data Documentation

int vtkVolumeRayCastMIPFunction::MaximizeMethod`[protected]`

| Definition at line 93 of file vtkVolumeRayCastMIPFunction.h.

The documentation for this class was generated from the following file:

- Rendering/vtkVolumeRayCastMIPFunction.h